/* 
 * $COPYRIGHT$
 * $Id: CameleonJavaMethod.java,v 1.2 2001/11/15 20:33:38 neuro Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8;


import org.media.mn8.event.*;
import org.media.mn8.concepts.*;

import java.util.Vector;
import java.util.StringTokenizer;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;

public class CameleonJavaMethod extends mn8JavaMethod {
    
    private int _cameleonConceptPosition;
    private String _conceptType = null;
    
    
    public CameleonJavaMethod() {}

    public CameleonJavaMethod( String conceptType, int position, mn8Method method) {
        _conceptType = conceptType;
        _cameleonConceptPosition = position;
        name = ((mn8JavaMethod)method).name;
        _isStatic = method.isStatic().getValue();
        _declaringConcept = method.getDeclaringConcept().toString();
        _paramTypes = method.getParameterTypes().getVector();
        _method = ((mn8JavaMethod) method).getMethod();
        _returnType = method.getReturnType().toString();
        _javaSignature = ((mn8JavaMethod)method)._javaSignature;
    }


    public Concept invoke( Concept on, SeriesConcept parameters ){
        return super.invoke( ((mn8Concept) on).getCameleonConcept( _cameleonConceptPosition), parameters);
    }


}
