/* 
 * $COPYRIGHT$
 * $Id: GlobalScope.java,v 1.8 2002/06/04 17:10:37 atech Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8;

import java.util.Hashtable;

/**
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.8 $ $Date: 2002/06/04 17:10:37 $
 */
public class GlobalScope extends Scope{

    private static GlobalScope _reference = new GlobalScope();
    

    private GlobalScope() {
        super( null );
    }


    public static void cleanAll() {
        _reference.clear();
    }


    public static GlobalScope getReference() {
        return _reference;
    }


    public void insertGlobalInstance(String conceptType, String name, Concept instance ) {
        insertInstance( conceptType + ":" + name, instance );
    }

}
