/* 
 * $COPYRIGHT$
 * $Id: ConstrainedSeries.java,v 1.2 2001/12/19 22:00:14 neuro Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8.concepts;


import org.media.mn8.*;
import org.media.mn8.event.*;
import org.media.mn8.util.SimpleExpression;

import java.util.Vector;
import java.util.Enumeration;

/** 
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.2 $ $Date: 2001/12/19 22:00:14 $
 */
public class ConstrainedSeries extends SeriesConcept {


    public ConstrainedSeries() {}


    public ConstrainedSeries( Vector values ) {
        _contents = values;
        _length.setValue( values.size() );        
        updateNameCache();
        updateNavigationFans();
    }


    public StringConcept toXML() {
        Vector elements = getConceptElements().getVector();
        StringBuffer buffer = new StringBuffer();
        for( int i =0; i < elements.size(); i++){
            buffer.append( ((Concept)elements.elementAt(i)).toXML().toString());
            if( i < elements.size() -1)
                buffer.append("\n");
        }
        return new StringConcept( buffer.toString());
    }

    
    public Object clone() {
        return new ConstrainedSeries((Vector)_contents.clone());
    }

}


