/* 
 * $COPYRIGHT$
 * $Id: PrintCommandListener.java,v 1.1 2001/12/21 19:37:22 neuro Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8.concepts;

import org.media.mn8.mn8RuntimeFlags;
import java.io.*;
import com.oroinc.net.*;


/** 
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.1 $ $Date: 2001/12/21 19:37:22 $
 */
public class PrintCommandListener implements ProtocolCommandListener {
  private PrintWriter __writer;

  public PrintCommandListener(PrintWriter writer) {
    __writer = writer;
  }

  public void protocolCommandSent(ProtocolCommandEvent event) {
    if( mn8RuntimeFlags.isDebug() ) {
        __writer.print(event.getMessage());
        __writer.flush();
    }
  }

  public void protocolReplyReceived(ProtocolCommandEvent event) {
    if( mn8RuntimeFlags.isDebug() ) {
        __writer.print(event.getMessage());
        __writer.flush();
    }
  }
}
