/* 
 * $COPYRIGHT$
 * $Id: Series.java,v 1.2 2002/02/03 19:25:16 neuro Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8.concepts;

import org.media.mn8.Concept;
/** 
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.2 $ $Date: 2002/02/03 19:25:16 $
 */
public interface Series {
    
    Concept next();

    Concept current();

    Concept previous();
    
    Concept elementAt(int position);

    Concept remove();

    boolean hasNext();

    boolean hasPrevious();

    int getLength();

    long getIndex();

    void setIndex( long idx );

    void add( Concept concept );

    void insert( Concept concept );

    void insert( IntegerConcept position, Concept concept );

    void sort( Concept sorter );
}
