/* 
 * $COPYRIGHT$
 * $Id: URIHandler.java,v 1.2 2002/01/31 20:30:32 crow Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8.concepts;


import org.media.mn8.*;
import org.media.mn8.event.*;


/** 
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.2 $ $Date: 2002/01/31 20:30:32 $
 */
public class URIHandler extends JavaConcept {
    
 

    public URIHandler( ){
    }


    public URIHandler( StringConcept url ) {

    }
   

    public URIHandler create( StringConcept url ) {
        return this;
    }

    
    public LogicalConcept acceptsURI(StringConcept uri) {
        return ((URIHandlerDefinition)getConceptDefinition()).acceptsURI(uri);
    }
    

    public LogicalConcept initialize( MapConcept options ){
        return new LogicalConcept( false );
    }
    

    public LogicalConcept openConnection() {
        return new LogicalConcept( false );        
    }

    
    public Concept getContent() {
        return new NilConcept();
    }


    public LogicalConcept setContent(Concept value) {
        return new LogicalConcept(false);
    }


    public LogicalConcept closeConnection() {
        return new LogicalConcept( false );
    }


    public ConceptDefinition getConceptDefinition() {
        return URIHandlerDefinition.getReference();
    }


    public Object clone() {
        return new URIHandler();
    }
}
