/* 
 * $COPYRIGHT$
 * $Id: ConceptsConf.java,v 1.2 2002/02/06 13:08:46 crow Exp $
 *
 * Date        Author            Changes 
 * May 04 2001 Remus Pereni      Created
 */

package org.media.mn8.conf;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

/**
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.2 $ $Date: 2002/02/06 13:08:46 $
 */

public class ConceptsConf {
    
    private static ConceptsConf _reference = new ConceptsConf();

    protected ConceptsConf(){}


    public void initialize( Element element ) {
        Node node = element.getFirstChild();

        while( node != null ) {
            if( node.getNodeType() == Node.ELEMENT_NODE ) {
                if( ((Element)node).getTagName().equalsIgnoreCase("searchPath") )
                    SearchPathConf.getRef().initialize( (Element) node );
                else if( ((Element)node).getTagName().equalsIgnoreCase("javaConcepts") )
                    JavaConceptsConf.getRef().initialize( (Element) node );
		else if ( ((Element)node).getTagName().equalsIgnoreCase("manPath") )
		    ManPathConf.getRef().initialize( (Element) node );
            }
            node = node.getNextSibling();
        }
    }


    public static ConceptsConf getRef() {
        return _reference;
    }
}
