/* 
 * $COPYRIGHT$
 * $Id: ConceptNotFoundException.java,v 1.1 2001/09/23 23:45:08 neuro Exp $
 *
 * Date        Author            Changes 
 * Apr 22 2001 Remus Pereni      Created
 */
package org.media.mn8.event;

import org.media.mn8.MessageFormatter;

/**
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.1 $ $Date: 2001/09/23 23:45:08 $
 * @see org.media.mn8.LogManager
 */

public class ConceptNotFoundException extends RuntimeException {
    
    private static final String _messageId = "concept_not_found";
    private static final String _messageTypeId = "error";

    public ConceptNotFoundException( String conceptName ) {
        super( MessageFormatter.getReference().getMessage( _messageTypeId,
                                                           _messageId,                                                           conceptName ));
    }

}
