/* 
 * $COPYRIGHT$
 * $Id: NotStaticMethodException.java,v 1.2 2002/04/28 23:29:53 neuro Exp $
 *
 * Date        Author            Changes 
 * Apr 22 2001 Remus Pereni      Created
 */
package org.media.mn8.event;

import org.media.mn8.MessageFormatter;
import org.media.mn8.mn8Interpreter;

/**
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.2 $ $Date: 2002/04/28 23:29:53 $
 * @see org.media.mn8.LogManager
 */

public class NotStaticMethodException extends mn8Error {
    
    public  static final String id = "notStaticMethod";


    public NotStaticMethodException( String conceptName, String methodName ) {
        this.conceptName = conceptName;
        this.itemName = methodName;
    }


    public NotStaticMethodException( String conceptName, String methodName, int errorLine ) {
        this.conceptName = conceptName;
        this.itemName = methodName;
        this.lineNr = errorLine;
    }


    public String getSimpleMessage() {
        return "Method " + itemName + " on " + conceptName + " is not static therefore" + mn8Interpreter.EOL +
            "can not be invoked directly, create an instance first.";
     }

}
