/* 
 * $COPYRIGHT$
 * $Id: mn8Warning.java,v 1.2 2002/05/02 18:26:07 neuro Exp $
 *
 * Date        Author            Changes 
 * Apr 22 2001 Remus Pereni      Created
 */
package org.media.mn8.event;

import org.media.mn8.MessageFormatter;

/**
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.2 $ $Date: 2002/05/02 18:26:07 $
 * @see org.media.mn8.LogManager
 */

public class mn8Warning extends RuntimeException {
    
    public  String id = "";
    public  static final String type = "warning";
    public  int lineNr = -1 ;
    public  String scriptName = "";
    public  String conceptName = null;
    public  String itemName = null;
    protected String message = "";

    public mn8Warning() {
        super();
    }


    public mn8Warning(String message) {
        this.message = message;
    }




    public String getSimpleMessage() {
        return message;  
    }


    public String getMessage() {
        return "Warning:" +scriptName + ":" + lineNr + ": " + getSimpleMessage();
    }

    
    public String getId() {
        return id;
    }
}
