/* 
 * $COPYRIGHT$
 * $Id: mn8Method.java,v 1.6 2002/04/29 13:18:58 neuro Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8;


import org.media.mn8.concepts.*;

public interface mn8Method {

    int getLineNr();

    void setLineNr(int lineNr);

    StringConcept getName();

    StringConcept getDeclaringConcept();

    LogicalConcept isStatic();

    LogicalConcept hasReturn();

    StringConcept getReturnType();

    Concept invoke( Concept on, SeriesConcept parameters );

    Concept invoke( String conceptType, SeriesConcept parameters);

    SeriesConcept getModifiers();
    
    SeriesConcept getParameterTypes();
    
    String getSignature();

    boolean equals(Object obj);

    int hashCode();
}
