/* 
 * $COPYRIGHT$
 * $Id: mn8RuntimeFlags.java,v 1.2 2001/09/27 00:23:16 neuro Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8;


/** 
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.2 $ $Date: 2001/09/27 00:23:16 $
 */
public class mn8RuntimeFlags {


    private static boolean _verbose = false;

    private static boolean _debug = false;

    private static boolean _trace = false;
    
    private static boolean _showTree = false;
    

    private mn8RuntimeFlags() {
    }


    public static void setVerbose(boolean isVerbose) {
        _verbose = isVerbose;
    }


    public static boolean isVerbose() {
        return _verbose;
    }


    public static void setDebug(boolean isDebug) {
        _debug = isDebug;
    }


    public static boolean isDebug() {
        return _debug;
    }


    public static void setTrace(boolean isTrace) {
        _trace = isTrace;
    }


    public static boolean isTrace() {
        return _trace;
    }


    public static void setShowTree( boolean showTree ) {
        _showTree = showTree;
    }

    
    public static boolean isShowTree() {
        return _showTree;
    }

}
