/*
 * $COPYRIGHT$
 * $Id: Handler.java,v 1.1 2002/01/24 17:36:08 crow Exp $
 *
 * Date           Author         Changes
 * sept 28 2001  Antal Attila    Created
 * sept 28 2001  Szabo Csaba     Created
 */

package org.media.mn8.protocol.beep;

import java.net.*;

/*
 * This class is a subclass of URLStreamHandler and provides
 * an implementation of the abstract openConnection() method
 * to support the "beep" scheme.
 */
public class Handler extends URLStreamHandler {
  /**
   * Given a URL return an appropriate URLConnection.
   * @param requestedURL The URL instance to contact.
   * @return The connection to the resource.
   */
   public synchronized URLConnection openConnection(URL requestedURL) {
      return new BeepURLConnection(requestedURL);
   }
}
