/*
 * $COPYRIGHT$
 * $Id: Handler.java,v 1.1 2001/12/14 00:12:19 neuro Exp $
 *
 * Date           Author         Changes
 * sept 28 2001  Antal Attila    Created
 */

package org.media.mn8.protocol.xmlrpc;

import java.net.*;

/*
 * This class is a subclass of URLStreamHandler and provides
 * an implementation of the abstract openConnection() method
 * to support the "beep" scheme.
 */
public class Handler extends URLStreamHandler {
  /**
   * Given a URL return an appropriate URLConnection.
   * @param requestedURL The URL instance to contact.
   * @return The connection to the resource.
   */
    public synchronized URLConnection openConnection(URL requestedURL) {
        return new XmlrpcURLConnection(requestedURL);
    }
}
