/*
 * $COPYRIGHT$
 * $Id: Normalizer.java,v 1.1 2002/01/15 17:33:27 crow Exp $
 *
 * Date         Author          Changes
 * JUL 11 2001  Szabo Csaba     Created
 */
       
package org.media.mn8.util;

/**
 * @author <a href="mailto:crow@nolimits.ro">Szabo Csaba </a>
 * @version $Revision: 1.1 $ $Date: 2002/01/15 17:15:00
 * @see java.lang.String
 */
    
public class Normalizer {

    public static String normalize( String str ) {
	StringBuffer sb = new StringBuffer();
	int len = ( str != null ) ? str.length() : 0;

	for ( int i = 0; i < len; i++ ) {
	    char ch = str.charAt(i);
	    
	    switch ( ch ) {
	    case '<': sb.append("&lt;");
		break;
	    case '>': sb.append("&gt;");
		break;
	    case '&': sb.append("&amp;");
		break;
	    case '"': sb.append("&quot;");
		break;
	    default: if( ch == "'".charAt(0) ) {
			sb.append("&#");
			sb.append( Integer.toString( "'".charAt(0) ) ); 
			sb.append(";");
		     } else sb.append( ch );
	    }
	}
	
	return sb.toString();
    }
}
