/* 
 * $COPYRIGHT$
 * $Id: AllUtilTestSuite.java,v 1.2 2001/10/22 20:25:10 neuro Exp $
 *
 * Date        Author            Changes 
 * Apr 08 2001 Remus Pereni      Created
 */
package org.media.mn8.test.util;

import junit.framework.*;
/**
 * Class meant to run all the Test Suites related to mn8 project, util package.
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.2 $ $Date: 2001/10/22 20:25:10 $
 */
public class AllUtilTestSuite extends TestSuite {

    public AllUtilTestSuite (String name){
        super (name);
    }

    public static Test suite () {
        TestSuite suite= new TestSuite("Tests for mn8.util");
        suite.addTest ( org.media.mn8.test.util.SimpleExpressionTestCase.suite() );
        suite.addTest ( org.media.mn8.test.util.ConceptNavPatternsTestCase.suite() );
        return suite;
    }

    public static void main (String[] args) {
        junit.textui.TestRunner.run (suite());
    }

}
