/* 
 * $COPYRIGHT$
 * $Id: FieldDefinition.java,v 1.3 2001/10/11 00:01:45 neuro Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8;


/** 
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.3 $ $Date: 2001/10/11 00:01:45 $
 */
public interface FieldDefinition {

    String getName();

    String getLabel();

    boolean isStatic();

    String getType();

    Concept newInstance();

    Concept getInitialValue();

    Concept getValue( Concept on );

    void setValue( Concept on, Concept value );

    boolean isAttribute();

    boolean isElement();
}
