/* 
 * $COPYRIGHT$
 * $Id: ExpressionConcept.java,v 1.2 2002/01/31 20:26:12 crow Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8.concepts;


import org.media.mn8.*;
import org.media.mn8.event.*;
import org.apache.oro.text.regex.*;

/** 
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.2 $ $Date: 2002/01/31 20:26:12 $
 */
public class ExpressionConcept extends JavaConcept {
    

    public ExpressionConcept( ){
    }

    
    public ExpressionConcept( StringConcept pattern ) throws MalformedPatternException {

    }


    public Concept create() {
	return this;
    }

    
    public ExpressionConcept create( StringConcept pattern ) throws MalformedPatternException {
	return this;
    }

    
    public void setPattern( StringConcept pattern ) throws MalformedPatternException {

    }

    
    public StringConcept getPattern () {
        return new StringConcept();
    }


    public LogicalConcept matches( StringConcept string ) {
        return new LogicalConcept(false);
    }


    public LogicalConcept contains( StringConcept string ) {
        return new LogicalConcept(false);
    }

    
    public SeriesConcept getMatches( StringConcept string ) {
        return new SeriesConcept();
    }


    public Object clone() {
        return new ExpressionConcept();
    }

    
    public ConceptDefinition getConceptDefinition() {
        return ExpressionDefinition.getReference();
    }
}
