/* 
 * $COPYRIGHT$
 * $Id: StyleConcept.java,v 1.1 2002/03/02 23:30:04 neuro Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8.concepts;


import org.media.mn8.*;
import org.media.mn8.event.*;


/** 
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.1 $ $Date: 2002/03/02 23:30:04 $
 */
public class StyleConcept extends JavaConcept {
    

    public StringConcept applyStyle( StringConcept to, StringConcept style ) {
        return ((StyleDefinition)getConceptDefinition()).applyStyle(to, style);
    }

    
    public StringConcept toTXT() {
        return new StringConcept("");
    }


    public StringConcept toXML() {
        return new StringConcept("");
    }


    public ConceptDefinition getConceptDefinition() {
        return StyleDefinition.getReference();
    }

  
    public Object clone() {
        return new StyleConcept();
    }
}
