/* 
 * $COPYRIGHT$
 * $Id: TestConcept.java,v 1.1 2001/10/01 15:57:39 neuro Exp $
 *
 * Date        Author            Changes 
 * Jul 03 2001 Remus Pereni      Created
 */
package org.media.mn8.concepts;


import org.media.mn8.*;
import org.media.mn8.event.*;


/** 
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.1 $ $Date: 2001/10/01 15:57:39 $
 */
public class TestConcept extends JavaConcept {
    
    private String _value = "";

    public StringConcept testField;

    public IntegerConcept testField2 = new IntegerConcept(2);

    public AttributeConcept name = new AttributeConcept("name", "Name", new StringConcept("Remus Pereni"));

    public TestConcept(){}
    

    public TestConcept( String value ) {
        _value = value;
    }

    public TestConcept( StringConcept value) {
        new TestConcept( value.getValue() );
    }

    public StringConcept getConceptLabel() {
        return new StringConcept("Test");
    }


    public StringConcept getConceptType() {
        return new StringConcept("Test");
    }


    public Concept getConceptInstance() {
        return new TestConcept();
    }


    public StringConcept toStringConcept() {
        return toTXT();
    }


    public StringConcept toTXT() {
        return new StringConcept(_value);
    }

    public String getValue() {
        return _value;
    }

    
    public void setValue( String value ) {
        _value = value;
    }
}
