/* 
 * $COPYRIGHT$
 * $Id: FieldNotFoundException.java,v 1.1 2002/04/28 23:32:00 neuro Exp $
 *
 * Date        Author            Changes 
 * Apr 22 2001 Remus Pereni      Created
 */
package org.media.mn8.event;

import org.media.mn8.MessageFormatter;

/**
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.1 $ $Date: 2002/04/28 23:32:00 $
 * @see org.media.mn8.LogManager
 */

public class FieldNotFoundException extends mn8Warning {
    
    public static final String id = "noSuchElement";

    public FieldNotFoundException( String conceptName, String fieldName ) {
        this.conceptName = conceptName;
        this.itemName = fieldName;
    }


    public FieldNotFoundException( String conceptName, String fieldName, int errorLine ) {
        this.conceptName = conceptName;
        this.itemName = fieldName;
        this.lineNr = errorLine;
    }


    public String getSimpleMessage() {
        return " Concept type: " + conceptName + " does not have field: " + itemName;  
    }
}
