/* 
 * $COPYRIGHT$
 * $Id: MethodNotFoundException.java,v 1.2 2002/05/06 09:21:34 neuro Exp $
 *
 * Date        Author            Changes 
 * Apr 22 2001 Remus Pereni      Created
 */
package org.media.mn8.event;

import org.media.mn8.MessageFormatter;

/**
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.2 $ $Date: 2002/05/06 09:21:34 $
 * @see org.media.mn8.LogManager
 */

public class MethodNotFoundException extends mn8Error {
    
    public  static final String id = "noSuchMethod";

    public MethodNotFoundException( String conceptName, String methodName ) {
        this.conceptName = conceptName;
        this.itemName = methodName;
    }


    public String getSimpleMessage() {   
        return "Concept type: " + conceptName + " does not have method: " + itemName;  
    }

}
