/* 
 * $COPYRIGHT$
 * $Id: NotLogicalExpressionException.java,v 1.1 2002/04/28 19:19:16 neuro Exp $
 *
 * Date        Author            Changes 
 * Apr 22 2001 Remus Pereni      Created
 */
package org.media.mn8.event;

import org.media.mn8.MessageFormatter;

/**
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.1 $ $Date: 2002/04/28 19:19:16 $
 * @see org.media.mn8.LogManager
 */

public class NotLogicalExpressionException extends mn8Error {
    
    public  static final String id = "notLogicalExpression";

    public NotLogicalExpressionException( String conceptName, int lineNr ) {
        this.conceptName = conceptName;
        this.lineNr = lineNr;
    }


    public String getSimpleMessage() {
        return "Can not convert " + conceptName + " to Logical";
    }

}
