/* 
 * $COPYRIGHT$
 * $Id: mn8Error.java,v 1.1 2002/04/28 19:19:40 neuro Exp $
 *
 * Date        Author            Changes 
 * Apr 22 2001 Remus Pereni      Created
 */
package org.media.mn8.event;

import org.media.mn8.MessageFormatter;

/**
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.1 $ $Date: 2002/04/28 19:19:40 $
 * @see org.media.mn8.LogManager
 */

public class mn8Error extends RuntimeException {
    
    public  static final String id = "";
    public  static final String type = "error";
    public  int lineNr = -1 ;
    public  String scriptName = "";
    public  String conceptName = null;
    public  String itemName = null;


    public String getSimpleMessage() {
        return "";  
    }



    public String getMessage() {
        return "Error:" +scriptName + ":" + lineNr + ": " + getSimpleMessage();
    }
}
