/* 
 * $COPYRIGHT$
 * $Id: mn8FileFilter.java,v 1.1 2001/11/18 21:44:18 neuro Exp $
 *
 * Date        Author            Changes 
 * Apr 22 2001 Remus Pereni      Created
 */
package org.media.mn8;

import java.io.File;
import java.io.FilenameFilter;

/**
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.1 $ $Date: 2001/11/18 21:44:18 $
 */
public class mn8FileFilter implements FilenameFilter {

    private String _fileToBeLooked = null;

    public mn8FileFilter( String fileName ) {
        _fileToBeLooked = fileName.toLowerCase();
    }

    public boolean accept( File dir, String name ) {
        if ( name != null && name.toLowerCase().equals( _fileToBeLooked ))
            return true;
        else
            return false;
    }
}
