/*
 * $COPYRIGHT$
 * $Id: Handler.java,v 1.1 2002/02/07 10:25:13 crow Exp $
 *
 * Date           Author          Changes
 * FEB 06 2002    Szabo Csaba     Created
 */

package org.media.mn8.protocol.env;

import java.net.*;

/*
 * This class is a subclass of URLStreamHandler and provides
 * an implementation of the abstract openConnection() method
 * to support the "env" scheme.
 */
public class Handler extends URLStreamHandler {
  /**
   * Given a URL return an appropriate URLConnection.
   * @param requestedURL The URL instance to contact.
   * @return The connection to the resource.
   */
   public synchronized URLConnection openConnection(URL requestedURL) {
      return new EnvURLConnection(requestedURL);
   }
}
