/* 
 * $COPYRIGHT$
 * $Id: Main.java,v 1.1 2001/12/24 19:13:05 neuro Exp $
 *
 * Date        Author            Changes 
 * Nov 02 2001 Antal Attila      Created
 */
package org.media.mn8.protocol.http;

import java.util.Vector;
import java.util.Enumeration;

/** 
 * @author <a href="mailto:atech@nolimits.ro">Antal Attila</a>
 * @version $Revision: 1.1 $ $Date: 2001/12/24 19:13:05 $
 */
class Main {
    public static void main( String[] args ) {
	
        if ( args.length != 2 ) {
            System.out.println("Usage: java Main cookieFile XMLDir - to convert cookie files to XML ");
            System.out.println("       java Main url XMLDir - to get cookie object(string) from specified xml directory");
            System.exit(1);
        }
	
        DefaultCookie cook = new NetscapeCookie();
        //DefaultCookie cook = new OperaCookie();
        //DefaultCookie cook = new KonquerorCookie();
        //DefaultCookie cook = new ExplorerCookie();	

        //write cookie files to XML
        cook.writeCookiesToXML( args[0], args[1] );
	
        //list all valid cookie object for specified url from specified xml directory 
        //Vector cookies = cook.readCookiesFromXML( args[0] , args[1], true);
        //for ( Enumeration en = cookies.elements(); en.hasMoreElements(); )
        //    System.out.println( ((Cookie)en.nextElement()).toString() );

        //show cookie string was may be sent to url, from specified xml directory 
        //System.out.println("Cookie: " + cook.getCookieString( args[0], args[1], true ) );
    }
}
