/* 
 * $COPYRIGHT$
 * $Id: URIExtractor.java,v 1.2 2002/06/04 18:26:57 crow Exp $
 *
 * Date        Author            Changes 
 * FEB 01 2002 Szabo Csaba       Created
 */
package org.media.mn8.protocol.http;

import java.util.Vector;

/** 
 * @author <a href="mailto:crow@nolimits.ro">Szabo Csaba</a>
 * @version $Revision: 1.2 $ $Date: 2002/06/04 18:26:57 $
 */

public class URIExtractor extends FormExtractor {

    Vector  URIs = new Vector();
    int   linkNR = 0;
    int   formNR = 0;
        

    public Vector getURIs( String pageContent ){
        parsePage( pageContent );
        return URIs;
    }


    public void tagFound( String tag ) {
        super.tagFound( tag );

        if ( links.size() > linkNR ) {
            URIs.add( links.lastElement() ); 
            linkNR++; 
        }
        else if ( forms.size() > formNR ) { 
            if ( isSendableForm ) URIs.add( forms.lastElement() ); 
            formNR++; 
        }
    }


    public void textFound( String text ) {
        super.textFound( text );
    }
}
