/* 
 * $COPYRIGHT$
 * $Id: ReadEndChecker.java,v 1.2 2002/04/11 12:03:38 neuro Exp $
 *
 * Date        Author            Changes 
 * APR 08 2002 Szabo Csaba       Created
 */
package org.media.mn8.protocol.jabber.xmlparser;

/**
 * Interface for classes wishing to be able to stop the reading of the incomming data stream.
 */
public interface ReadEndChecker {
 
    /**
     * Method to say whether a read should stop on this character.
     *
     * @param char The character to test.
     * @return true if the reading should end, false otherwise.
     */
    boolean shouldStop( int c );
}
