/*
 * $COPYRIGHT$
 * $Id: Handler.java,v 1.1 2002/02/07 11:16:50 crow Exp $
 *
 * Date           Author          Changes
 * FEB 07 2002    Szabo Csaba     Created
 */

package org.media.mn8.protocol.mem;

import java.net.*;

/*
 * This class is a subclass of URLStreamHandler and provides
 * an implementation of the abstract openConnection() method
 * to support the "mem" scheme.
 */
public class Handler extends URLStreamHandler {
  /**
   * Given a URL return an appropriate URLConnection.
   * @param requestedURL The URL instance to contact.
   * @return The connection to the resource.
   */
   public synchronized URLConnection openConnection(URL requestedURL) {
      return new MemURLConnection(requestedURL);
   }
}
