/*
 * $COPYRIGHT$
 * $Id: Handler.java,v 1.1 2002/01/25 17:05:43 crow Exp $
 *
 * Date           Author         Changes
 * IAN 25 2002    Szabo Csaba    Created
 */

package org.media.mn8.protocol.pop3;

import java.net.*;

/*
 * This class is a subclass of URLStreamHandler and provides
 * an implementation of the abstract openConnection() method
 * to support the "pop3" scheme.
 */
public class Handler extends URLStreamHandler {
  /**
   * Given a URL return an appropriate URLConnection.
   * @param requestedURL The URL instance to contact.
   * @return The connection to the resource.
   */
    public synchronized URLConnection openConnection( URL requestedURL ) {
        return new POP3URLConnection(requestedURL);
    }
}
