/*
 * $COPYRIGHT$
 * $Id: Handler.java,v 1.1 2002/01/29 14:00:05 crow Exp $
 *
 * Date           Author         Changes
 * IAN 28 2002    Szabo Csaba    Created
 */

package org.media.mn8.protocol.smtp;

import java.net.*;

/*
 * This class is a subclass of URLStreamHandler and provides
 * an implementation of the abstract openConnection() method
 * to support the "smtp" scheme.
 */
public class Handler extends URLStreamHandler {
  /**
   * Given a URL return an appropriate URLConnection.
   * @param requestedURL The URL instance to contact.
   * @return The connection to the resource.
   */
    public synchronized URLConnection openConnection( URL requestedURL ) {
        return new SMTPURLConnection( requestedURL );
    }
}
