/* 
 * $COPYRIGHT$
 * $Id: AllConceptsTestSuite.java,v 1.2 2001/10/31 20:52:00 neuro Exp $
 *
 * Date        Author            Changes 
 * May 04 2001 Remus Pereni      Created
 */
package org.media.mn8.test.concepts;

import junit.framework.*;
/**
 * Class meant to run all the Test Suites related to mn8 project, concepts package.
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.2 $ $Date: 2001/10/31 20:52:00 $
 */
public class AllConceptsTestSuite extends TestSuite {

    public AllConceptsTestSuite (String name){
        super (name);
    }

    public static Test suite () {
        TestSuite suite= new TestSuite("Tests for mn8 concepts");
        suite.addTest ( org.media.mn8.test.concepts.ConceptTestCase.suite() );
        suite.addTest ( org.media.mn8.test.concepts.StringTestCase.suite() );
        suite.addTest ( org.media.mn8.test.concepts.CharacterTestCase.suite() );
        return suite;
    }

    public static void main (String[] args) {
        junit.textui.TestRunner.run (suite());
    }

}
