/* 
 * $COPYRIGHT$
 * $Id: AllConfTestSuite.java,v 1.1 2001/05/18 23:46:58 neuro Exp $
 *
 * Date        Author            Changes 
 * May 04 2001 Remus Pereni      Created
 */
package org.media.mn8.test.conf;

import junit.framework.*;
/**
 * Class meant to run all the Test Suites related to mn8 project, config package.
 * @author <a href="mailto:remus@nolimits.ro">Remus Pereni</a>
 * @version $Revision: 1.1 $ $Date: 2001/05/18 23:46:58 $
 */
public class AllConfTestSuite extends TestSuite {

    public AllConfTestSuite (String name){
        super (name);
    }

    public static Test suite () {
        TestSuite suite= new TestSuite("Tests for mn8.conf");
        suite.addTest ( org.media.mn8.test.conf.NamingConfTestCase.suite() );
        return suite;
    }

    public static void main (String[] args) {
        junit.textui.TestRunner.run (suite());
    }

}
